<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class LoginController extends CI_Controller {

	public function __construct()
	{
		parent::__construct();
		$this->load->model('UserModel');
	}

	public function index()
	{
		$data['app_blank'] = 'app-blank';
		$this->load->view('include/header_page', $data);
		$this->load->view('auth/login');
		$this->load->view('include/footer_page');
	}

	public function login_validate()
	{
		$this->form_validation->set_rules('email', 'Email', 'trim|required|valid_email');
		$this->form_validation->set_rules('password', 'Password', 'trim|required');

		if ($this->form_validation->run() == FALSE)
		{
			//FAILED

			$this->index();
		}else{

			$data = [
				'email'			=>		$this->input->post('email'),
				'password'		=>		$this->input->post('password'),
			];



			$result = $this->UserModel->loginUser($data);
			if ($result != FALSE)
			{
				$user_detail = [
					'first_name'	=>	$result->first_name,
					'last_name'		=>	$result->last_name,
					'email'			=>	$result->email,
				];

				$this->session->set_userdata('authenticated', '1');
				$this->session->set_userdata('auth_user',$user_detail);
				// $this->session->set_flashdata('status','You are loggedin successfully!');
				
				
				redirect('leads-list');

			}else{
				$this->session->set_flashdata('status', 'Invalid Email or Password!');				redirect('login');
			}
		}
	}

	public function logout()
		{
			$this->session->unset_userdata('authenticated');
			$this->session->unset_userdata('auth_user');

			redirect('login');
		}

	
}