<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class RegisterController extends CI_Controller {

	public function __construct()
	{
		parent::__construct();
		// $this->load->helper('form');
		$this->load->library('form_validation');
		$this->load->model('UserModel');
	}

	public function index()
	{
		$data['app_blank'] = 'app-blank';
		$this->load->view('include/header_page', $data);
		$this->load->view('auth/register');
		$this->load->view('include/footer_page');
	}

	public function register()
	{
		$this->form_validation->set_rules('first_name', 'First Name', 'trim|required|alpha');
		$this->form_validation->set_rules('last_name', 'Last Name', 'trim|required|alpha');
		$this->form_validation->set_rules('email', 'Email', 'trim|required|valid_email|is_unique[users.email]');
		$this->form_validation->set_rules('password', 'Password', 'trim|required');
		$this->form_validation->set_rules('confirm_password', 'Confirm Password', 'trim|required|matches[password]');

		if ($this->form_validation->run() == FALSE)
		{
			//Failed

			$this->index();
		}else{
			$data = [

				'first_name'	=>	$this->input->post('first_name'),
				'last_name'		=>	$this->input->post('last_name'),
				'email'			=>	$this->input->post('email'),
				'password'		=>	$this->input->post('password'),
			];

			$result = $this->UserModel->registerUser($data);
			if ($result)
			{
				$this->session->set_flashdata('status', 'Registered Successfully!');
				redirect(base_url('login'));

			}else{
				$this->session->set_flashdata('status', 'Something went wrong!');				redirect(base_url('register'));
			}
		}
	}
}