<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Leads extends MY_Controller {

	public function __construct()
	{
		parent::__construct();
		// $this->logged_in();
		$this->load->model('leads_model');
	}

	private function logged_in()
	{
		// if (! $this->session->userdata('authenticated'))
		// {
		// 	return redirect('login');
		// }
		
	}

	public function dashboard()
	{
		$this->load->view('include/header_page');
		$this->load->view('include/top_header');
		$this->load->view('include/side_bar');
		$this->load->view('include/footer_page');
	}

	public function add_new_lead()
	{
		// $data['lead_info'] = $this->leads_model->lead_info($id);
		$data['get_source'] = $this->leads_model->loadSources();
		$data['types'] = $this->leads_model->loadUnitTypes();

		$this->load->view('include/header_page', $data);
		$this->load->view('include/top_header');
		$this->load->view('include/side_bar');
		$this->load->view('leads/add_new_lead');
		$this->load->view('include/footer_page');
	}

	public function leads_list()
	{
		
		$this->load->view('include/header_page');
		$this->load->view('include/top_header');
		$this->load->view('include/side_bar');
		$this->load->view('leads/leads_list');
		$this->load->view('include/footer_page');
			
	
		
	}

	public function loadLeadsData()
	{
		$searchValue = $this->input->post('searchValue');
		$fetch_data = $this->leads_model->make_datatables($searchValue, $this->logged_in_user_id, $this->logged_in_role_id);
		$data = array();
		$full_numbers = array();
		foreach ($fetch_data as $row) {
			if ($row->stage == 'New Lead')
        {
        	$status = '<span class="badge badge-primary">New Lead</span>';
        }

        if ($row->stage == 'No Answer')
        {
        	$status = '<span class="badge badge-success">No Answer</span>';
        }

        if ($row->stage == 'Contact Made')
        {
        	$status = '<span class="badge badge-info">Contact Made</span>';
        }

        if ($row->stage == 'Qualified Interest')
        {
        	$status = '<span class="badge badge-warning">Qualified Interest</span>';
        }

        if ($row->stage == 'Junk Lead')
        {
        	$status = '<span class="badge badge-danger">Junk Lead</span>';
        }

        if ($row->stage == 'Hold on')
        {
        	$status = '<span class="badge badge-dark">Hold on</span>';
        }

        if ($row->stage == 'Future Prospect')
        {
        	$status = '<span class="badge badge-primary">Future Prospect</span>';
        }

        if ($row->stage == 'Name')
        {
        	$status = '<span class="badge badge-info">Name</span>';
        }

        if ($row->stage == 'Complete Lead')
        {
        	$status = '<span class="badge badge-success">Complete Lead</span>';
        }
			$sub_array = array();
			$sub_array[] = $row->id;
			$sub_array[] = date('d-M-Y', strtotime($row->date_time));
			$sub_array[] = $row->full_name.'<br>'. $row->looking_for. '<br> ('.$row->project_name.') '.'<br>'.$row->source;
			// $sub_array[] = $row->full_name;
			$sub_array[] = $row->full_number;
			$sub_array[] = $row->email_address;
			// $sub_array[] = $row->project_name;
			$sub_array[] = $row->developer_name;
			// Check if the full_number is already in the array
        if (in_array($row->full_number, $full_numbers)) {
            $sub_array[] = '<span class="badge badge-danger">Duplicate</span>';
        } else {
            $sub_array[] = $status;
            $full_numbers[] = $row->full_number; // Add the full_number to the array
        }
        $sub_array[] = $row->notify_status;
        
        	if ($this->logged_in_role_id == 1)
        	{

				$sub_array[] = $row->first_name;
			}

			// $sub_array[] = $row->first_name;
			// $sub_array[] = anchor('new_property/manage/'.$row->id,'class="btn btn-sm btn-light btn-flex btn-center btn-active-light-primary" data-kt-menu-trigger="click" data-kt-menu-placement="bottom-end" <i class="ki-duotone ki-down fs-5 ms-1"></i>');
			$sub_array[] = '<div class="dropdown">
  <button class="btn btn-secondary dropdown-toggle btn-sm" type="button" id="dropdownMenu2" data-bs-toggle="dropdown" aria-expanded="false">
    Action
  </button>
  <ul class="dropdown-menu" aria-labelledby="dropdownMenu2">
    <li><a href="lead-view/'.$row->id.'" class="dropdown-item" type="button">View</a></li>
    <li><a href="edit-lead/'.$row->id.'" class="dropdown-item" type="button">Edit</a></li>
    <li><button class="dropdown-item" type="button">Delete</button></li>
    <li><button class="dropdown-item" type="button"  onclick="assign_popup(\''.$row->id.'\')">Assign</button></li>
  </ul>
</div>';




			$data[] = $sub_array;
		}

		$output = array(
			'draw'				=>		intval($_POST['draw']),
			'recordsTotal'		=>		$this->leads_model->get_all_data(),
			'recordsFiltered'	=>		$this->leads_model->get_filtered_data($searchValue, $this->logged_in_user_id, $this->logged_in_role_id),
			'data'				=>		$data
		);

		echo json_encode($output);
     }

     public function loadUsers()
     {
     	$search = $this->input->post('user_search');
     	$result = $this->leads_model->loadUsers($search);

     	$output = '';
     	foreach ($result as $value) {
     		$output .= '<a href="javascript:void(0)" onclick="assign(\''.$value->id.'\', \''.$value->first_name.' '.$value->last_name.'\')" class="d-flex align-items-center p-3 rounded bg-state-light bg-state-opacity-50 mb-1">
                                    <!--begin::Avatar-->
                                    <div class="symbol symbol-35px symbol-circle me-5">
                                      <img alt="Pic" src="'.base_url($value->profile_pic).'">
                                    </div>
                                    <!--end::Avatar-->
                                    <!--begin::Info-->
                                    <div class="fw-semibold">
                                    <input type="hidden" name="lead_id" value="">
                                      <span class="fs-6 text-gray-800 me-2">'.$value->first_name.' '.$value->last_name.'</span>
                                      <span class="badge badge-light">'.$value->designation.'</span>
                                    </div>
                                    <!--end::Info-->
                                  </a>';
     	}

     	echo $output;
     }

     public function lead_view($id = null)
	{
		if ($id == null)
		{
			return redirect('leads-list');
		}else{


			//Update Notify Status to read
			$this->leads_model->update_notify_status($id);		

			$data['lead_info'] = $this->leads_model->lead_info($id);
			$this->load->view('include/header_page', $data);
			$this->load->view('include/top_header');
			$this->load->view('include/side_bar');
			$this->load->view('leads/lead_view');
			$this->load->view('include/footer_page');	
		}
	}

	public function edit_lead($id = null)
	{
		if ($id == null)
		{
			return redirect('leads-list');
		}else{
			$data['lead_info'] = $this->leads_model->lead_info($id);
			$data['get_source'] = $this->leads_model->loadSources();
			$data['types'] = $this->leads_model->loadUnitTypes();

			$this->load->view('include/header_page', $data);
			$this->load->view('include/top_header');
			$this->load->view('include/side_bar');
			$this->load->view('leads/edit_lead');
			$this->load->view('include/footer_page');	
		}
		
	}

	public function update_lead()
	{
		$lead_info = $this->input->post();

		unset($lead_info['phone_number']);

		$result = $this->leads_model->update_lead($lead_info);

		if ($result == true)
		{
			echo 'success';
		}else{
			echo 'error';
		}

	}

	public function insert_comment()
	{
		$lead_comment = $this->input->post();
		
		$this->db->trans_start();
		$this->leads_model->insert_comment($lead_comment);
		$this->leads_model->update_stage_add($lead_comment);
		$this->db->trans_complete();

		if ($this->db->trans_status())
		{
			echo 'success';
		}else{
			echo 'error';
		}

	}

	public function loadComments()
	{
		$id = $this->input->post('id');
		$comments = $this->leads_model->getComments($id);

		
		$output ='';
		foreach ($comments as $key => $value) {
		if ($value->stage == 'New Lead')
        {
        	$status = '<span class="badge badge-primary">New Lead</span>';
        }

        if ($value->stage == 'No Answer')
        {
        	$status = '<span class="badge badge-success">No Answer</span>';
        }

        if ($value->stage == 'Contact Made')
        {
        	$status = '<span class="badge badge-info">Contact Made</span>';
        }

        if ($value->stage == 'Qualified Interest')
        {
        	$status = '<span class="badge badge-warning">Qualified Interest</span>';
        }

        if ($value->stage == 'Junk Lead')
        {
        	$status = '<span class="badge badge-danger">Junk Lead</span>';
        }

        if ($value->stage == 'Hold on')
        {
        	$status = '<span class="badge badge-dark">Hold on</span>';
        }

        if ($value->stage == 'Future Prospect')
        {
        	$status = '<span class="badge badge-primary">Future Prospect</span>';
        }

        if ($value->stage == 'Name')
        {
        	$status = '<span class="badge badge-info">Name</span>';
        }

        if ($value->stage == 'Complete Lead')
        {
        	$status = '<span class="badge badge-success">Complete Lead</span>';
        }
			$output .= '<div class="card-body pb-0">
        <!--begin::Header-->

        <div class="d-flex align-items-center mb-5">

            <!--begin::User-->
            <div class="d-flex align-items-center flex-grow-1">
                <!--begin::Avatar-->
                <div class="symbol symbol-45px me-5">
                    <img src="'.base_url('assets/media/avatars/300-23.jpg').'" alt="">
                </div>
                
            </div>
            
           
        </div>
        
        <div class="row">
        <div class="col-xl-11 col-11">
        <div class="mb-5">
            <!--begin::Text-->
            <p class="text-gray-800 fw-normal mb-5">'.$value->comment.'</p>

           
        </div>
        <span class="text-gray-400 fw-bold me-5">'.$value->updated_on.'</span>'.$status.'
        </div>


        <div class="col-xl-1 col-1">
        <button type="button" class="btn btn-icon btn-active-light-primary w-30px h-30px ms-auto" onclick="open_edit_form(\''.$value->id.'\')">
																					<i class="ki-duotone ki-pencil fs-3">
																						<span class="path1"></span>
																						<span class="path2"></span>
																					</i>
																				</button>
        </div>
        </div>
        <div class="separator mb-4 mt-4"></div>
        
        
    </div>';
		}
		echo $output;
	}

	public function edit_comment_form()
	{
		$id = $this->input->post('id');
		$comment = $this->leads_model->comment_info($id);
		

	echo json_encode($comment);
	}

	public function update_comment()
	{
		$comment = $this->input->post();

		$this->db->trans_start();
		$this->leads_model->update_comment($comment);
		$this->leads_model->update_stage($comment);
		$this->db->trans_complete();

		if ($this->db->trans_status())
		{
			echo 'success';
		}else{
			echo 'error';
		}

	}

	public function assigned_lead()
	{
		$lead_id = $this->input->post('lead_id');
		$user_id = $this->input->post('user_id');

		$data = [
				'lead_id'	=>		$lead_id,
				'user_id'	=>		$user_id,
				'notify_status'	=>	'new',
		];
		$result = $this->leads_model->assigned_lead($data);
		if ($result == true)
		{
			echo 'success';
		}else{
			echo 'error';
		}
	}

	// public function get_notifications() {

    //     $notifications = $this->leads_model->get_new_notifications();
        
    //     echo json_encode($notifications);
    // }

    public function count_new_leads() {
        $count = $this->leads_model->count_new_leads();
        echo json_encode(['new_leads_count' => $count]);
    }
}
