<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Users extends MY_Controller {

	// var $logged_in_user_id;
	public function __construct()
	{
		parent::__construct();
		$this->load->model('users_model');
		$this->load->library('upload');

		// $this->user_id = $this->session->userdata('user_id');

	}

	public function edit_user($id = null)
	{
		
		// $logged_in_user_id = $this->session->userdata('user_id');
		if ($this->logged_in_user_id != $id)
		{
			return redirect('leads-list');
		}else{

			$data['user_info'] = $this->users_model->user_info($this->logged_in_user_id);
			$data['tasks'] = $this->users_model->tasks($this->logged_in_user_id);

				$this->load->view('include/header_page', $data);
				$this->load->view('include/top_header');
				$this->load->view('include/side_bar');
				$this->load->view('users/edit_user');
				$this->load->view('include/footer_page');
		}
		
	}

	public function update_user()
	{
		$config = array(
			'file_name'	=>	time(),
			'max_width'	=>	'1028',
			// 'max_height'	=>	'800',
			// 'max_size'	=>	'240000',
			'allowed_types'	=>	'gif|jpg|png|jpeg',
			'upload_path'	=>	'upload/images',
		);

		$this->upload->initialize($config);
		if ($this->upload->do_upload('profile_pic'))
		{
			$imagesData = $this->upload->data();
			$filename = 'upload/images/'.$imagesData['file_name'];
		}else{
			echo $this->upload->display_errors();
		}


		$data = [
			'id'		=>		$this->input->post('id'),
			'first_name'		=>		$this->input->post('first_name'),
			'last_name'		=>		$this->input->post('last_name'),
			'designation'		=>		$this->input->post('designation'),
			'email'		=>		$this->input->post('email'),
			'cell_no'		=>		$this->input->post('cell_no'),
			'address'		=>		$this->input->post('address'),
			'profile_pic'		=>		$filename,
		];

		
		$result = $this->users_model->update_user($data);

		if ($result == true)
		{
			echo 'success';
		}else{
			echo 'error';
		}
	}

	public function loadLeadsData()
	{
		$this->load->library('Datatables');
		$this->datatables->select('lead_generate.id,lead_generate.full_name,lead_generate.full_number,lead_generate.email_address,lead_generate.date_time, users.first_name');
		$this->datatables->from('lead_assign');
		
		$this->datatables->join('lead_generate', 'lead_generate.id = lead_assign.lead_id');
		$this->datatables->join('users', 'users.id = lead_assign.assigned_by');
		$this->datatables->where('lead_assign.user_id', $this->logged_in_user_id);
		
		echo $this->datatables->generate();
	}

	public function update_email()
	{
		$email_id = $this->input->post();
		$result = $this->users_model->update_email($this->logged_in_user_id, $email_id);

		if ($result == true)
		{
			echo 'success';
		}else{
			echo 'error';
		}
	}

	public function update_password()
	{
		$data = $this->input->post();
		
		// if ($data['new_password'] !== $data['confirm_password']) {
        //     echo 'New password and confirm password do not match.';
        //     return;
        // }

        // Check if current password is correct
        if ($this->users_model->check_current_password($this->logged_in_user_id, $data['current_password']))
        {
            // Update the new password
            $this->users_model->update_password($this->logged_in_user_id, password_hash($data['new_password'], PASSWORD_BCRYPT));
           // Log the user out
            $this->session->unset_userdata('authenticated');
			$this->session->unset_userdata('auth_user');

            echo json_encode(['status' => 'success', 'message' => 'Password changed successfully.']);
        } else {
            echo json_encode(['status' => 'error', 'message' => 'Current password is incorrect!']);
        }

		// $current_password = $this->users_model->check_current_password($this->logged_in_user_id, $data['current_password']);

		

	}

	
}