<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Users_model extends CI_Model {

	public function user_info($user_id)
	{
		$this->db->select('u.id, u.first_name, u.last_name, u.designation, u.email, u.cell_no, u.profile_pic, u.address, h.last_login_at');
		$this->db->from('users u');
		$this->db->join('users_login_history h','u.id = h.user_id');
		$this->db->where('u.id', $user_id);
		$d = $this->db->get();
		return $d->row();
	}

	public function update_user($data)
	{
		$this->db->where('id', $data['id']);
		if ($this->db->update('users', $data))
		{
			return true;
		}else{
			return false;
		}
	}

	public function tasks($user_id)
	{
		$this->db->select('*');
		$this->db->from('lead_assign');
		// $this->db->join('lead_comments', 'lead_comments.user_id = lead_assign.user_id');
		$this->db->join('lead_generate', 'lead_generate.id = lead_assign.lead_id');
		$this->db->join('users', 'users.id = lead_assign.user_id');
		$this->db->where('lead_assign.user_id', 9);
		$d = $this->db->get();
		return $d->result();
	}

	public function update_email($logged_in_user_id, $email_id)
	{
		
		$this->db->set('email', $email_id['email']);
		$this->db->where('id', $logged_in_user_id);
		if ($this->db->update('users'))
		{
			return true;
		}else{
			return false;
		}
	}

	public function check_current_password($user_id, $current_password)
	{	
		$this->db->where('id', $user_id);
		$this->db->where('active','1');
		$query = $this->db->get('users');
        $user = $query->row();
        // Compare passwords
        if (password_verify($current_password, $user->password)) {
            return true; // Return user details if password is correct
        } else {
            return false; // Incorrect password
        }
	}

	public function update_password($user_id, $new_password)
	{
		$this->db->where('id', $user_id);
		$this->db->set('password', $new_password);
		$this->db->update('users');
	}

}